
from stats_lib.data_store import DebugPrintDataStore
from stats_lib.display.base_display import BaseDisplay

class BlankDisplay(BaseDisplay):
    """Blank display for shutdown of screen"""

    SHOW_IN_ROTATION = False

    def __init__(self):
        """Initialise with fake data source"""
        super().__init__(DebugPrintDataStore())

    def draw(self):
        """Draw an empty display"""
        pass