
from stats_lib.display.base_display import BaseDisplay


class SolarStats(BaseDisplay):
    """Show solar stats data"""

    SHOW_IN_ROTATION = False

    def draw(self):
        """Draw"""
        # Show default items
        super().draw()

        battery_charge_perc = self._data_source.get_latest_value("battery_charge_perc")
        self._framebuffer.text(f"Battery Charge: {battery_charge_perc}%", (420, 100))
