
from math import floor
from re import L
import requests

from PIL import Image, ImageDraw

# Make screen blue to clearly show any non-covered piexels
image = Image.new("RGB", (800, 480), (0, 0, 255))
draw = ImageDraw.Draw(image)

SERVER = 'http://localhost:5000'

res = requests.get(f'{SERVER}/generate')

id_ = res.json().get('id')

for h in range(480):
    res = requests.get(f"{SERVER}/screen/{id_}/{h}")
    screen_data = bytes(res.content)

    for w in range(800):
        pixel_itx = w
        bytes_index = floor(pixel_itx / 4)
        byte_index = pixel_itx % 4
        pixel_data = int((screen_data[bytes_index] & (3 << (byte_index * 2))) >> (byte_index * 2))

        # if w < 12 and h == 0:
        #     print("Byte", screen_data[bytes_index])
        #     print("pixel", pixel_itx)
        #     print("data", pixel_data)

        colour = (255, 255, 255)
        if pixel_data == 1:
            colour = (0, 0, 0)
        elif pixel_data == 2:
            colour = (255, 0, 0)
        image.putpixel((w, h), colour)

image.show()
